ActionDelegate (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class ActionDelegate

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext
          org.codehaus.groovy.grails.webflow.engine.builder.AbstractDelegate
              org.codehaus.groovy.grails.webflow.engine.builder.ActionDelegate

    class ActionDelegate
    extends AbstractDelegate

Acts as a delegate to a flow action.

Authors:
  Graeme Rocher

Since:
  0.6

Property Summary
`org.springframework.webflow.execution.Action` | `action`
`groovy.lang.MetaClass` | `actionMetaClass`

Constructor Summary
`ActionDelegate(org.springframework.webflow.execution.Action action, org.springframework.webflow.execution.RequestContext context)`

Method Summary
`java.lang.Object` | `invokeMethodAsEvent(java.lang.String name, java.lang.Object args)`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)` invokes a method as an action if possible

Methods inherited from class AbstractDelegate
getConversation, getCurrentEvent, getFlash, getFlow, getProperty

Methods inherited from class WebRequestDelegatingRequestContext
getActionName, getApplicationContext, getControllerName, getOut, getParams, getRequest, getRequestURI, getResponse, getServletContext, getSession, getWebRequest

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### action

    org.springframework.webflow.execution.Action action

### actionMetaClass

    groovy.lang.MetaClass actionMetaClass

Constructor Detail

### ActionDelegate

    ActionDelegate(org.springframework.webflow.execution.Action action, org.springframework.webflow.execution.RequestContext context)

Method Detail

### invokeMethodAsEvent

    java.lang.Object invokeMethodAsEvent(java.lang.String name, java.lang.Object args)

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

  invokes a method as an action if possible

Groovy Documentation